Restore agent instructions
Restore a saved instruction JSON document and its mentioned integrations, without reverting other agent configuration. A changed document creates a new revision attributed to the caller. Supply the agent’s current contentVersion as expectedContentVersion; a concurrent instruction change returns 409.
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const contentRevision = await client.agents.contentRevisions.restore(1, {
agentId: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
expectedContentVersion: 1,
});curl --request POST \
--url https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedContentVersion": 123
}
'import requests
url = "https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore"
payload = { "expectedContentVersion": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedContentVersion: 123})
};
fetch('https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expectedContentVersion' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore"
payload := strings.NewReader("{\n \"expectedContentVersion\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expectedContentVersion\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expectedContentVersion\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"sandboxSize": "nano",
"projectId": "<string>",
"templateId": "<string>",
"contentVersion": 1,
"script": "<string>",
"artifactType": "PullRequest",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"enabledAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"organizationName": "<string>",
"createdBy": "<string>",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"mode": "normal",
"speed": "normal",
"goal": {
"enabled": true,
"objective": "<string>"
}
},
"mcpServers": [
"<string>"
],
"userState": {},
"codeRepositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "<string>",
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationType": "<string>"
}
],
"lastRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"errorMessage": "<string>"
},
"runCount": 1,
"scheduleCount": 1,
"triggerCount": 1,
"hasPausedSchedule": true,
"hasPausedTrigger": true,
"integrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"integrationTypes": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The agent’s current instruction version, used to reject a restore if the instructions have changed.
Response
Restore agent instructions
nano, micro, small, medium, large, xl, xxl, ultra, null PullRequest, ToolCall, Plan, Response, File, Service, Source, null 1 - 255Instructions for the agent as a rich-text document. Mentions can reference integrations used by the agent.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
{
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [{ "type": "text", "text": "Hello" }]
}
]
}
Runtime and model selection key; not the ID of an agent resource.
Execution settings for the selected agent runtime, including provider-specific options.
- Option 1
- Option 2
Show child attributes
Show child attributes
Selected MCP server identifiers, including built-in server keys.
1001 - 200User-defined state keyed by name. Values may be any JSON value, including nested objects and arrays. No application-specific keys are required.
Show child attributes
Show child attributes
250Show child attributes
Show child attributes
Show child attributes
Show child attributes
x >= 0x >= 0x >= 0Was this page helpful?
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const contentRevision = await client.agents.contentRevisions.restore(1, {
agentId: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
expectedContentVersion: 1,
});curl --request POST \
--url https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedContentVersion": 123
}
'import requests
url = "https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore"
payload = { "expectedContentVersion": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedContentVersion: 123})
};
fetch('https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expectedContentVersion' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore"
payload := strings.NewReader("{\n \"expectedContentVersion\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expectedContentVersion\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/agents/{agentId}/content-revisions/{version}/restore")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expectedContentVersion\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"sandboxSize": "nano",
"projectId": "<string>",
"templateId": "<string>",
"contentVersion": 1,
"script": "<string>",
"artifactType": "PullRequest",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"enabledAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"organizationName": "<string>",
"createdBy": "<string>",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"mode": "normal",
"speed": "normal",
"goal": {
"enabled": true,
"objective": "<string>"
}
},
"mcpServers": [
"<string>"
],
"userState": {},
"codeRepositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "<string>",
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationType": "<string>"
}
],
"lastRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"errorMessage": "<string>"
},
"runCount": 1,
"scheduleCount": 1,
"triggerCount": 1,
"hasPausedSchedule": true,
"hasPausedTrigger": true,
"integrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"integrationTypes": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}